> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stake account rewards metrics

> This endpoint returns a bunch of useful information about the historical rewards earned by a single stake account.



## OpenAPI

````yaml get /v1/solana/delegators/stakeAccounts/{stake_account}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/delegators/stakeAccounts/{stake_account}/rewards:
    get:
      tags:
        - Solana Rewards
      summary: Get stake account rewards metrics
      description: >-
        This endpoint returns a bunch of useful information about the historical
        rewards earned by a single stake account.
      operationId: >-
        delegator_stats_v1_solana_delegators_stakeAccounts__stake_account__rewards_get
      parameters:
        - name: stake_account
          in: path
          required: true
          schema:
            type: string
            title: Stake Account
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: UTC day (deprecated in favour of fromDate)
            deprecated: true
            title: From
          description: UTC day (deprecated in favour of fromDate)
          deprecated: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__8
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__8:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              SolanaMevClaim:
                properties:
                  slotNumber:
                    anyOf:
                      - type: integer
                        minimum: 0
                      - type: 'null'
                    title: Slotnumber
                  claimedAmount:
                    anyOf:
                      - type: integer
                        minimum: 0
                      - type: 'null'
                    title: Claimedamount
                  commissionRate:
                    anyOf:
                      - type: number
                      - type: string
                      - type: 'null'
                    title: Commissionrate
                  transactionIndex:
                    anyOf:
                      - type: integer
                        minimum: 0
                      - type: 'null'
                    title: Transactionindex
                type: object
                title: SolanaMevClaim
            properties:
              stakeAccount:
                type: string
                title: Stakeaccount
              day:
                type: string
                format: date
                title: Day
              fromTimestamp:
                type: string
                format: date-time
                title: Fromtimestamp
              toTimestamp:
                type: string
                format: date-time
                title: Totimestamp
              fromSlot:
                type: integer
                minimum: 0
                title: Fromslot
              toSlot:
                type: integer
                minimum: 0
                title: Toslot
              fromEpoch:
                type: integer
                minimum: 0
                title: Fromepoch
              toEpoch:
                type: integer
                minimum: 0
                title: Toepoch
              status:
                type: string
                title: Status
              stakingRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Stakingrewards
              stakingCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                title: Stakingcommissionpaid
              delegatedStake:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatedstake
              validatorVoteAccount:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Validatorvoteaccount
              validatorName:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Validatorname
              voteCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Votecommissionrate
              mevRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Mevrewards
              mevCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Mevcommissionrate
              mevCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                title: Mevcommissionpaid
              missedStakingRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Missedstakingrewards
              balance:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Balance
              mevClaims:
                anyOf:
                  - items:
                      $ref: '#/components/schemas/SolanaMevClaim'
                    type: array
                  - type: 'null'
                title: Mevclaims
            type: object
            required:
              - stakeAccount
              - day
              - fromTimestamp
              - toTimestamp
              - fromSlot
              - toSlot
              - fromEpoch
              - toEpoch
              - status
              - stakingRewards
              - stakingCommissionPaid
              - delegatedStake
              - mevRewards
              - mevCommissionPaid
              - missedStakingRewards
            title: SolanaDelegatorRewards
            examples:
              - balance: 10.61
                day: '2024-04-04'
                delegatedStake: 4.61
                fromEpoch: 597
                fromSlot: 258212466
                fromTimestamp: '2024-04-04 00:00:00'
                mevClaims:
                  - claimedAmount: 1000
                    commissionRate: 0.07
                    slotNumber: 258212466
                    transactionIndex: 0
                  - claimedAmount: 2000
                    commissionRate: 0.07
                    slotNumber: 258394459
                    transactionIndex: 1
                mevCommissionPaid: 0
                mevCommissionRate: 0.07
                mevRewards: 0
                missedStakingRewards: 0
                stakeAccount: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
                stakingCommissionPaid: 0.0001
                stakingRewards: 0.002
                status: active
                toEpoch: 598
                toSlot: 258394459
                toTimestamp: '2024-04-04 23:59:59'
                validatorName: Ledger by Figment
                validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                voteCommissionRate: 0.07
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaDelegatorRewards
      examples:
        - next: >-
            https://api.rated.network//v1/solana/delegators/stakeAccounts/{stake_account}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/delegators/stakeAccounts/{stake_account}/rewards?limit=10&offset=10
          results:
            - - balance: 10.61
                day: '2024-04-04'
                delegatedStake: 4.61
                fromEpoch: 597
                fromSlot: 258212466
                fromTimestamp: '2024-04-04 00:00:00'
                mevClaims:
                  - claimedAmount: 1000
                    commissionRate: 0.07
                    slotNumber: 258212466
                    transactionIndex: 0
                  - claimedAmount: 2000
                    commissionRate: 0.07
                    slotNumber: 258394459
                    transactionIndex: 1
                mevCommissionPaid: 0
                mevCommissionRate: 0.07
                mevRewards: 0
                missedStakingRewards: 0
                stakeAccount: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
                stakingCommissionPaid: 0.0001
                stakingRewards: 0.002
                status: active
                toEpoch: 598
                toSlot: 258394459
                toTimestamp: '2024-04-04 23:59:59'
                validatorName: Ledger by Figment
                validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                voteCommissionRate: 0.07
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    SolanaMevClaim:
      properties:
        slotNumber:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Slotnumber
        claimedAmount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Claimedamount
        commissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Commissionrate
        transactionIndex:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Transactionindex
      type: object
      title: SolanaMevClaim
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````